com.here.msdkui.routing

## Class ManeuverListAdapter

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.Adapter<ManeuverListAdapter.ViewHolder>
  - - com.here.msdkui.routing.ManeuverListAdapter

-     public class ManeuverListAdapter
      extends androidx.recyclerview.widget.RecyclerView.Adapter<ManeuverListAdapter.ViewHolder>

  A `RecyclerView.Adapter` to bind a view item of the list to a `ManeuverItemView`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ManeuverListAdapter.ViewHolder` A view holder.

    - ### Nested classes/interfaces inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

      `androidx.recyclerview.widget.RecyclerView.Adapter.StateRestorationPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManeuverListAdapter(java.util.List<com.here.android.mpa.routing.Maneuver> maneuverList)` Constructs a new instance using a list of maneuvers.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getItemCount()`
    `protected android.view.View` | `getRowView(android.content.Context context)` Creates an empty `ManeuverItemView` to be used as view holder.
    `UnitSystem` | `getUnitSystem()` Returns current unit system of this adapter.
    `void` | `onBindViewHolder(ManeuverListAdapter.ViewHolder holder, int position)`
    `ManeuverListAdapter.ViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`
    `void` | `setUnitSystem(UnitSystem unitSystem)` Sets unit system of this adapter.

    - ### Methods inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, findRelativeAdapterPositionIn, getItemId, getItemViewType, getStateRestorationPolicy, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, setStateRestorationPolicy, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManeuverListAdapter

          public ManeuverListAdapter(java.util.List<com.here.android.mpa.routing.Maneuver> maneuverList)

      Constructs a new instance using a list of maneuvers.
      Parameters:
        `maneuverList` - a list of maneuvers.

  - ### Method Detail

    - #### setUnitSystem

          public void setUnitSystem(UnitSystem unitSystem)

      Sets unit system of this adapter.
      Parameters:
        `unitSystem` - unit system `UnitSystem`.

    - #### getUnitSystem

          public UnitSystem getUnitSystem()

      Returns current unit system of this adapter.
      Returns:
        unit system `UnitSystem`.

    - #### onCreateViewHolder

          public ManeuverListAdapter.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                   int viewType)

      Specified by:
        `onCreateViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<ManeuverListAdapter.ViewHolder>`

    - #### getRowView

          protected android.view.View getRowView(android.content.Context context)

      Creates an empty `ManeuverItemView` to be used as view holder.

      Override this method to set a custom view holder for a row.

      Parameters:
        `context` - the required context.
      Returns:
        an instance of `ManeuverItemView`.

    - #### onBindViewHolder

          public void onBindViewHolder(ManeuverListAdapter.ViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<ManeuverListAdapter.ViewHolder>`

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `androidx.recyclerview.widget.RecyclerView.Adapter<ManeuverListAdapter.ViewHolder>`